public class MitarbeiterVerwaltung
{
	public static void main (String[]args)
	{
		Mitarbeiter[]unsereMitarb= new Mitarbeiter[5];
		
		System.out.println("Anzahl unserer Arbeitsplätze (unsereMitarb): "+unsereMitarb.length);
		
		unsereMitarb[0]= new Mitarbeiter("Storre", "Markus", 2000);
		unsereMitarb[1]= new Mitarbeiter("Newton", "Isaac", 20000);
		unsereMitarb[2]= new Mitarbeiter("Stoiber", "Eddi", 200);
		unsereMitarb[3]= new Mitarbeiter("Reiser", "Rio", 5000);
		unsereMitarb[4]= new Mitarbeiter("Baader", "Andreas", 10000);
		
		for (int i=0; i<unsereMitarb.length; i++)
			{
				String vorname = unsereMitarb[i].getVorname();
				String name = unsereMitarb[i].getName();
				int gehalt = unsereMitarb[i].getGehalt();
				System.out.println("Mitarbeiter["+i+"]: "+vorname+" "+name+", Gehalt: "+gehalt+"");
				
			}
			
		System.out.println("Gehaltsänderung +100 fuer alle");	
		for (int i=0; i<unsereMitarb.length; i++)
			{
				String vorname = unsereMitarb[i].getVorname();
				String name = unsereMitarb[i].getName();
				int gehalt = unsereMitarb[i].getGehalt();
				unsereMitarb[i].setGehalt(gehalt+100);
				gehalt = unsereMitarb[i].getGehalt();
				System.out.println("Mitarbeiter["+i+"]: "+vorname+" "+name+", Gehalt: "+gehalt+"");
				
			}
		System.out.println("Gehaltsänderung -100 fuer alle");	
			
		for (int i=0; i<unsereMitarb.length; i++)
			{
				String vorname = unsereMitarb[i].getVorname();
				String name = unsereMitarb[i].getName();
				int gehalt = unsereMitarb[i].getGehalt();
				try
				{
					unsereMitarb[i].setGehalt(-100);
				}
				catch (IllegalArgumentException iae)
				{
					System.out.println("Probleme bei der Gehaltsänderung: "+
					iae.getMessage());
				}
				gehalt = unsereMitarb[i].getGehalt();
				System.out.println("Mitarbeiter["+i+"]: "+vorname+" "+name+", Gehalt: "+gehalt+"");
				
			}	
			
			
	}
}		